# GNU Enterprise Application Server - Testing unit 
#
# Copyright 2003 Free Software Foundation
#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; either 
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with program; see the file COPYING. If not, 
# write to the Free Software Foundation, Inc., 59 Temple Place 
# - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: test.py,v 1.1 2003/10/19 17:55:56 reinhard Exp $
#

from gnue.appserver.language import App

app = App.App ()
session = app.newSession ('test', 'test')

list = session.find ('address_person', sort = ['address_name'],
                     properties = ['address_name', 'address_street'])

print 'Found %d instances.' % len (list)

for person in list:
  print '-' * 79
  print 'Name: ' + repr (person.address_name)
  print 'Street: ' + repr (person.address_street)
  print 'City: ' + repr (person.address_city)
  print 'Number of Children: ' + repr (person.address_children)
  print 'Weight: ' + repr (person.address_weight)
  print 'Born: ' + repr (person.address_born)
  print 'Human: ' + repr (person.address_human)
